> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create account to account batch transfer

> Please note that this feature requires manual configuration. If you want to use it, please contact your CSM.

This operation will create a batch transfer with the given transfer items.




## OpenAPI

````yaml transfer post /v1/a2a/batches
openapi: 3.0.3
info:
  version: '1'
  title: Transfer API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transfer
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/transfer
    description: Live environment
security: []
tags:
  - name: Account to account batch transfer
paths:
  /v1/a2a/batches:
    post:
      tags:
        - Account to account batch transfer
      summary: Create account to account batch transfer
      description: >
        Please note that this feature requires manual configuration. If you want
        to use it, please contact your CSM.


        This operation will create a batch transfer with the given transfer
        items.
      operationId: postAccountToAccountBatchTransfer
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/accountToAccountBatchTransferRequest'
      responses:
        '200':
          description: Successful creation of batch transfer
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/createBatchTransferResponse'
        '400':
          $ref: '#/components/responses/400'
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
        '500':
          $ref: '#/components/responses/500'
      deprecated: false
components:
  requestBodies:
    accountToAccountBatchTransferRequest:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/accountToAccountBatchTransferRequest'
          example:
            description: Test batch transfer
            transfers:
              - fromAccountId: '12345678'
                toAccountId: '98765432'
                amount: 123.45
                currency: EUR
                text: Payment for 987654321
              - fromAccountId: '56565656'
                toAccountId: '34343434'
                amount: 23.5
                currency: EUR
      description: The fields that you want to apply to your batch transfer
      required: true
  schemas:
    createBatchTransferResponse:
      type: object
      required:
        - id
        - status
        - startTime
        - transferItemCount
      properties:
        id:
          type: string
          description: Enfuce generated id for batch transfer.
          example: '11221122'
        status:
          type: string
          enum:
            - IN_PROGRESS
            - COMPLETED
            - FAILED
            - COMPLETED_WITH_ERRORS
          description: >-
            Batch transfer status. `IN_PROGRESS` - Successfully created but not
            yet complited batch transfer. `COMPLETED` - Successfully completed
            batch transfer. `FAILED` - Completely or partially failed batch
            transfer.
          example: IN_PROGRESS
        description:
          type: string
          description: Free form description.
          example: Test batch transfer
        startTime:
          $ref: '#/components/schemas/dateTime'
          description: Batch transfer start time.
          example: '2023-11-29T14:57:00'
        transferItemCount:
          type: integer
          description: Number of transfer items in the batch.
          example: 2
        totalAmount:
          type: object
          description: Map of total amount per currency.
          additionalProperties:
            type: number
          example:
            EUR: 100
            NOK: 150
      title: CreateBatchTransferResponse
    accountToAccountBatchTransferRequest:
      type: object
      required:
        - transfers
      properties:
        description:
          type: string
          maxLength: 255
          description: Free form description.
        transfers:
          type: array
          description: An array of transfer requests
          items:
            $ref: '#/components/schemas/accountToAccountTransferRequest'
      title: AccountToAccountBatchTransferRequest
    dateTime:
      type: string
      format: date-time
      example: '2019-01-28T00:00:00'
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    accountToAccountTransferRequest:
      type: object
      required:
        - fromAccountId
        - toAccountId
        - amount
        - currency
      properties:
        fromAccountId:
          type: string
          format: biginteger
          description: Id of account from which balance will be debited
        toAccountId:
          type: string
          format: biginteger
          description: Id of account from which balance will be credited
        amount:
          type: number
          description: >-
            Transfer amount. It is possible to post only amount which is equal
            or more than minimal currency unit (For example, for EUR, SEK, NOK
            minimal unit is 0,01)
        currency:
          type: string
          description: >-
            Currency of the amount in ISO 4217 (Alpha code) format. Currency has
            to be the same as account currency. Balance transfer can only be
            done between accounts that are in the same currency, i.e. currency
            conversion is not supported.
          pattern: '[A-Z]{3}'
          example: EUR
        text:
          type: string
          maxLength: 255
          description: >-
            Free form text. Text is available in Transaction API as well as Data
            export transaction files.
      title: AccountToAccountTransferRequest
  responses:
    '400':
      description: Bad request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '403':
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '404':
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'
    '500':
      description: API is having problems
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/errorResponse'

````